| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# PartPropSvc::PartPropSvcConf::PartPropSvc Class Reference

List of all members.

## Detailed Description

Definition at line 5 of file PartPropSvcConf.py.

## Public Member Functions
def | __init__
def | getDlls
def | getType
## Static Private Attributes
dictionary | __slots__
dictionary | _propertyDocDct

## Member Function Documentation

def PartPropSvc::PartPropSvcConf::PartPropSvc::__init__ | ( |  | self,
|  |  | name = `Configurable.DefaultName`,
|  |  | kwargs |
| ) |  |  |

Definition at line 20 of file PartPropSvcConf.py.

    00020                                                                :
    00021       super(PartPropSvc, self).__init__(name)
    00022       for n,v in kwargs.items():
    00023          setattr(self, n, v)
      def getDlls( self ):

def PartPropSvc::PartPropSvcConf::PartPropSvc::getDlls | ( |  | self | ) |

Definition at line 24 of file PartPropSvcConf.py.

    00024                      :
    00025       return 'PartPropSvc'
      def getType( self ):

def PartPropSvc::PartPropSvcConf::PartPropSvc::getType | ( |  | self | ) |

Definition at line 26 of file PartPropSvcConf.py.

    00026                      :
    00027       return 'PartPropSvc'
      pass # class PartPropSvc

## Member Data Documentation

dictionary PartPropSvc::PartPropSvcConf::PartPropSvc::__slots__`[static, private]`

Initial value:

    {
        'OutputLevel' : 7, # int
        'AuditServices' : False, # bool
        'AuditInitialize' : False, # bool
        'AuditStart' : False, # bool
        'AuditStop' : False, # bool
        'AuditFinalize' : False, # bool
        'AuditReInitialize' : False, # bool
        'AuditReStart' : False, # bool
        'InputType' : 'PDG', # str
        'InputFile' : [ 'PDGTABLE.MeV' ], # list
      }

Definition at line 6 of file PartPropSvcConf.py.

dictionary PartPropSvc::PartPropSvcConf::PartPropSvc::_propertyDocDct`[static, private]`

Initial value:

    {
      }

Definition at line 18 of file PartPropSvcConf.py.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/PartPropSvc/genConf/PartPropSvc/PartPropSvcConf.py